#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './loggedsigstmpl.ui'
**
** Created: Sat Jan 7 04:54:32 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "loggedsigstmpl.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qtextview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "gaussianplot.h"
#include "poplistview.h"
#include "pulseplot.h"
#include "tripletplot.h"

/*
 *  Constructs a LoggedSigsTmpl as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
LoggedSigsTmpl::LoggedSigsTmpl( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "LoggedSigsDlg" );
    setSizeGripEnabled( TRUE );
    LoggedSigsDlgLayout = new QVBoxLayout( this, 11, 6, "LoggedSigsDlgLayout"); 

    SigTabs = new QTabWidget( this, "SigTabs" );

    Widget2 = new QWidget( SigTabs, "Widget2" );
    Widget2Layout = new QHBoxLayout( Widget2, 11, 6, "Widget2Layout"); 

    SpikeListView = new popListView( Widget2, "SpikeListView" );
    Widget2Layout->addWidget( SpikeListView );
    SigTabs->insertTab( Widget2, QString::fromLatin1("") );

    Widget3 = new QWidget( SigTabs, "Widget3" );
    Widget3Layout = new QGridLayout( Widget3, 1, 1, 11, 6, "Widget3Layout"); 

    PreviousGaussianBtn = new QPushButton( Widget3, "PreviousGaussianBtn" );
    PreviousGaussianBtn->setAutoRepeat( TRUE );

    Widget3Layout->addWidget( PreviousGaussianBtn, 1, 1 );

    FirstGaussianBtn = new QPushButton( Widget3, "FirstGaussianBtn" );

    Widget3Layout->addWidget( FirstGaussianBtn, 1, 0 );

    GaussianView = new GaussianPlot( Widget3, "GaussianView" );
    GaussianView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, GaussianView->sizePolicy().hasHeightForWidth() ) );

    Widget3Layout->addMultiCellWidget( GaussianView, 0, 0, 0, 4 );

    GaussianLbl = new QLabel( Widget3, "GaussianLbl" );
    GaussianLbl->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, GaussianLbl->sizePolicy().hasHeightForWidth() ) );
    GaussianLbl->setAlignment( int( QLabel::AlignCenter ) );

    Widget3Layout->addWidget( GaussianLbl, 1, 2 );

    NextGaussianBtn = new QPushButton( Widget3, "NextGaussianBtn" );
    NextGaussianBtn->setAutoRepeat( TRUE );

    Widget3Layout->addWidget( NextGaussianBtn, 1, 3 );

    LastGaussianBtn = new QPushButton( Widget3, "LastGaussianBtn" );

    Widget3Layout->addWidget( LastGaussianBtn, 1, 4 );

    GaussianInfo = new QTextView( Widget3, "GaussianInfo" );
    GaussianInfo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, GaussianInfo->sizePolicy().hasHeightForWidth() ) );
    GaussianInfo->setMinimumSize( QSize( 200, 100 ) );

    Widget3Layout->addMultiCellWidget( GaussianInfo, 0, 1, 5, 5 );
    SigTabs->insertTab( Widget3, QString::fromLatin1("") );

    tab = new QWidget( SigTabs, "tab" );
    tabLayout = new QGridLayout( tab, 1, 1, 11, 6, "tabLayout"); 

    PreviousPulseBtn = new QPushButton( tab, "PreviousPulseBtn" );
    PreviousPulseBtn->setAutoRepeat( TRUE );

    tabLayout->addWidget( PreviousPulseBtn, 1, 1 );

    PulseLbl = new QLabel( tab, "PulseLbl" );
    PulseLbl->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, PulseLbl->sizePolicy().hasHeightForWidth() ) );
    PulseLbl->setAlignment( int( QLabel::AlignCenter ) );

    tabLayout->addWidget( PulseLbl, 1, 2 );

    PulseInfo = new QTextView( tab, "PulseInfo" );
    PulseInfo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, PulseInfo->sizePolicy().hasHeightForWidth() ) );
    PulseInfo->setMinimumSize( QSize( 200, 100 ) );

    tabLayout->addMultiCellWidget( PulseInfo, 0, 1, 5, 5 );

    FirstPulseBtn = new QPushButton( tab, "FirstPulseBtn" );

    tabLayout->addWidget( FirstPulseBtn, 1, 0 );

    NextPulseBtn = new QPushButton( tab, "NextPulseBtn" );
    NextPulseBtn->setAutoRepeat( TRUE );

    tabLayout->addWidget( NextPulseBtn, 1, 3 );

    LastPulseBtn = new QPushButton( tab, "LastPulseBtn" );

    tabLayout->addWidget( LastPulseBtn, 1, 4 );

    PulseView = new PulsePlot( tab, "PulseView" );

    tabLayout->addMultiCellWidget( PulseView, 0, 0, 0, 4 );
    SigTabs->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( SigTabs, "tab_2" );
    tabLayout_2 = new QGridLayout( tab_2, 1, 1, 11, 6, "tabLayout_2"); 

    PreviousTripletBtn = new QPushButton( tab_2, "PreviousTripletBtn" );
    PreviousTripletBtn->setAutoRepeat( TRUE );

    tabLayout_2->addWidget( PreviousTripletBtn, 1, 1 );

    NextTripletBtn = new QPushButton( tab_2, "NextTripletBtn" );
    NextTripletBtn->setAutoRepeat( TRUE );

    tabLayout_2->addWidget( NextTripletBtn, 1, 3 );

    TripletLbl = new QLabel( tab_2, "TripletLbl" );
    TripletLbl->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, TripletLbl->sizePolicy().hasHeightForWidth() ) );
    TripletLbl->setAlignment( int( QLabel::AlignCenter ) );

    tabLayout_2->addWidget( TripletLbl, 1, 2 );

    TripletInfo = new QTextView( tab_2, "TripletInfo" );
    TripletInfo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, TripletInfo->sizePolicy().hasHeightForWidth() ) );
    TripletInfo->setMinimumSize( QSize( 200, 100 ) );

    tabLayout_2->addMultiCellWidget( TripletInfo, 0, 1, 5, 5 );

    FirstTripletBtn = new QPushButton( tab_2, "FirstTripletBtn" );

    tabLayout_2->addWidget( FirstTripletBtn, 1, 0 );

    LastTripletBtn = new QPushButton( tab_2, "LastTripletBtn" );

    tabLayout_2->addWidget( LastTripletBtn, 1, 4 );

    TripletView = new TripletPlot( tab_2, "TripletView" );

    tabLayout_2->addMultiCellWidget( TripletView, 0, 0, 0, 4 );
    SigTabs->insertTab( tab_2, QString::fromLatin1("") );
    LoggedSigsDlgLayout->addWidget( SigTabs );

    Layout2 = new QHBoxLayout( 0, 0, 6, "Layout2"); 

    HelpBtn = new QPushButton( this, "HelpBtn" );
    HelpBtn->setAutoDefault( TRUE );
    Layout2->addWidget( HelpBtn );

    SaveBtn = new QPushButton( this, "SaveBtn" );
    Layout2->addWidget( SaveBtn );
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout2->addItem( Horizontal_Spacing2 );

    OkBtn = new QPushButton( this, "OkBtn" );
    OkBtn->setAutoDefault( TRUE );
    OkBtn->setDefault( TRUE );
    Layout2->addWidget( OkBtn );
    LoggedSigsDlgLayout->addLayout( Layout2 );
    languageChange();
    resize( QSize(654, 340).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( OkBtn, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( PreviousGaussianBtn, SIGNAL( clicked() ), this, SLOT( slotPreviousSignal() ) );
    connect( FirstGaussianBtn, SIGNAL( clicked() ), this, SLOT( slotFirstSignal() ) );
    connect( LastGaussianBtn, SIGNAL( clicked() ), this, SLOT( slotLastSignal() ) );
    connect( NextGaussianBtn, SIGNAL( clicked() ), this, SLOT( slotNextSignal() ) );
    connect( FirstPulseBtn, SIGNAL( clicked() ), this, SLOT( slotFirstSignal() ) );
    connect( PreviousPulseBtn, SIGNAL( clicked() ), this, SLOT( slotPreviousSignal() ) );
    connect( NextPulseBtn, SIGNAL( clicked() ), this, SLOT( slotNextSignal() ) );
    connect( LastPulseBtn, SIGNAL( clicked() ), this, SLOT( slotLastSignal() ) );
    connect( FirstTripletBtn, SIGNAL( clicked() ), this, SLOT( slotFirstSignal() ) );
    connect( PreviousTripletBtn, SIGNAL( clicked() ), this, SLOT( slotPreviousSignal() ) );
    connect( NextTripletBtn, SIGNAL( clicked() ), this, SLOT( slotNextSignal() ) );
    connect( LastTripletBtn, SIGNAL( clicked() ), this, SLOT( slotLastSignal() ) );
    connect( SaveBtn, SIGNAL( clicked() ), this, SLOT( slotSave() ) );
    connect( SigTabs, SIGNAL( currentChanged(QWidget*) ), this, SLOT( slotChangeSaveBtnState(QWidget*) ) );
    connect( HelpBtn, SIGNAL( clicked() ), this, SLOT( slotShowHelp() ) );

    // tab order
    setTabOrder( OkBtn, HelpBtn );
    setTabOrder( HelpBtn, SaveBtn );
    setTabOrder( SaveBtn, SigTabs );
    setTabOrder( SigTabs, FirstGaussianBtn );
    setTabOrder( FirstGaussianBtn, PreviousGaussianBtn );
    setTabOrder( PreviousGaussianBtn, NextGaussianBtn );
    setTabOrder( NextGaussianBtn, LastGaussianBtn );
    setTabOrder( LastGaussianBtn, GaussianInfo );
    setTabOrder( GaussianInfo, FirstPulseBtn );
    setTabOrder( FirstPulseBtn, PreviousPulseBtn );
    setTabOrder( PreviousPulseBtn, NextPulseBtn );
    setTabOrder( NextPulseBtn, LastPulseBtn );
    setTabOrder( LastPulseBtn, PulseInfo );
    setTabOrder( PulseInfo, FirstTripletBtn );
    setTabOrder( FirstTripletBtn, PreviousTripletBtn );
    setTabOrder( PreviousTripletBtn, NextTripletBtn );
    setTabOrder( NextTripletBtn, LastTripletBtn );
    setTabOrder( LastTripletBtn, TripletInfo );
}

/*
 *  Destroys the object and frees any allocated resources
 */
LoggedSigsTmpl::~LoggedSigsTmpl()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void LoggedSigsTmpl::languageChange()
{
    setCaption( QString::null );
    SigTabs->changeTab( Widget2, tr2i18n( "Spikes" ) );
    PreviousGaussianBtn->setText( QString::null );
    FirstGaussianBtn->setText( QString::null );
    GaussianLbl->setText( tr2i18n( "%1 of %2" ) );
    NextGaussianBtn->setText( QString::null );
    LastGaussianBtn->setText( QString::null );
    SigTabs->changeTab( Widget3, tr2i18n( "Gaussians" ) );
    PreviousPulseBtn->setText( QString::null );
    PulseLbl->setText( tr2i18n( "%1 of %2" ) );
    FirstPulseBtn->setText( QString::null );
    NextPulseBtn->setText( QString::null );
    LastPulseBtn->setText( QString::null );
    SigTabs->changeTab( tab, tr2i18n( "Pulses" ) );
    PreviousTripletBtn->setText( QString::null );
    NextTripletBtn->setText( QString::null );
    TripletLbl->setText( tr2i18n( "%1 of %2" ) );
    FirstTripletBtn->setText( QString::null );
    LastTripletBtn->setText( QString::null );
    SigTabs->changeTab( tab_2, tr2i18n( "Triplets" ) );
    HelpBtn->setText( tr2i18n( "&Help" ) );
    SaveBtn->setText( tr2i18n( "Save..." ) );
    OkBtn->setText( tr2i18n( "&OK" ) );
}

void LoggedSigsTmpl::slotShowHelp()
{
    qWarning( "LoggedSigsTmpl::slotShowHelp(): Not implemented yet" );
}

void LoggedSigsTmpl::slotChangeSaveBtnState(QWidget*)
{
    qWarning( "LoggedSigsTmpl::slotChangeSaveBtnState(QWidget*): Not implemented yet" );
}

void LoggedSigsTmpl::slotFirstSignal()
{
    qWarning( "LoggedSigsTmpl::slotFirstSignal(): Not implemented yet" );
}

void LoggedSigsTmpl::slotLastSignal()
{
    qWarning( "LoggedSigsTmpl::slotLastSignal(): Not implemented yet" );
}

void LoggedSigsTmpl::slotNextSignal()
{
    qWarning( "LoggedSigsTmpl::slotNextSignal(): Not implemented yet" );
}

void LoggedSigsTmpl::slotPreviousSignal()
{
    qWarning( "LoggedSigsTmpl::slotPreviousSignal(): Not implemented yet" );
}

void LoggedSigsTmpl::slotSave()
{
    qWarning( "LoggedSigsTmpl::slotSave(): Not implemented yet" );
}

#include "loggedsigstmpl.moc"
